JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customerIntegrationResponse = await client.v1.customers.integrations.update('integrationId', {
id: 'id',
syncedEntityId: 'syncedEntityId',
});
console.log(customerIntegrationResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
customer_integration_response = client.v1.customers.integrations.update(
integration_id="integrationId",
id="id",
synced_entity_id="syncedEntityId",
)
print(customer_integration_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customerIntegrationResponse, err := client.V1.Customers.Integrations.Update(
context.TODO(),
"integrationId",
stigg.V1CustomerIntegrationUpdateParams{
ID: "id",
SyncedEntityID: stigg.String("syncedEntityId"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customerIntegrationResponse.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.customers.CustomerIntegrationResponse;
import io.stigg.models.v1.customers.integrations.IntegrationUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
IntegrationUpdateParams params = IntegrationUpdateParams.builder()
.id("id")
.integrationId("integrationId")
.syncedEntityId("syncedEntityId")
.build();
CustomerIntegrationResponse customerIntegrationResponse = client.v1().customers().integrations().update(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
customer_integration_response = stigg.v1.customers.integrations.update("integrationId", id: "id", synced_entity_id: "syncedEntityId")
puts(customer_integration_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Customers.Integrations;
StiggClient client = new();
IntegrationUpdateParams parameters = new()
{
ID = "id",
IntegrationID = "integrationId",
SyncedEntityID = "syncedEntityId",
};
var customerIntegrationResponse = await client.V1.Customers.Integrations.Update(parameters);
Console.WriteLine(customerIntegrationResponse);stigg v1:customers:integrations update \
--api-key 'My API Key' \
--id id \
--integration-id integrationId \
--synced-entity-id syncedEntityIdcurl --request PATCH \
--url https://api.stigg.io/api/v1/customers/{id}/integrations/{integrationId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"syncedEntityId": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/customers/{id}/integrations/{integrationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'syncedEntityId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"syncedEntityId": "<string>",
"syncData": {
"billingId": "<string>",
"billingLinkUrl": "<string>",
"priceGroupPackageBillingId": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Customer Integrations
Update a customer integration
Updates a customer’s integration link, such as changing the synced external entity ID.
PATCH
/
api
/
v1
/
customers
/
{id}
/
integrations
/
{integrationId}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customerIntegrationResponse = await client.v1.customers.integrations.update('integrationId', {
id: 'id',
syncedEntityId: 'syncedEntityId',
});
console.log(customerIntegrationResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
customer_integration_response = client.v1.customers.integrations.update(
integration_id="integrationId",
id="id",
synced_entity_id="syncedEntityId",
)
print(customer_integration_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customerIntegrationResponse, err := client.V1.Customers.Integrations.Update(
context.TODO(),
"integrationId",
stigg.V1CustomerIntegrationUpdateParams{
ID: "id",
SyncedEntityID: stigg.String("syncedEntityId"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customerIntegrationResponse.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.customers.CustomerIntegrationResponse;
import io.stigg.models.v1.customers.integrations.IntegrationUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
IntegrationUpdateParams params = IntegrationUpdateParams.builder()
.id("id")
.integrationId("integrationId")
.syncedEntityId("syncedEntityId")
.build();
CustomerIntegrationResponse customerIntegrationResponse = client.v1().customers().integrations().update(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
customer_integration_response = stigg.v1.customers.integrations.update("integrationId", id: "id", synced_entity_id: "syncedEntityId")
puts(customer_integration_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Customers.Integrations;
StiggClient client = new();
IntegrationUpdateParams parameters = new()
{
ID = "id",
IntegrationID = "integrationId",
SyncedEntityID = "syncedEntityId",
};
var customerIntegrationResponse = await client.V1.Customers.Integrations.Update(parameters);
Console.WriteLine(customerIntegrationResponse);stigg v1:customers:integrations update \
--api-key 'My API Key' \
--id id \
--integration-id integrationId \
--synced-entity-id syncedEntityIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
Customer slug
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Integration details
Maximum string length:
255Body
application/json
Updates a customer integration link.
Synced entity id
Maximum string length:
255Response
The updated customer integration object.
Response object
External billing or CRM integration link
Show child attributes
Show child attributes
⌘I
